Skip to main content
PATCH
/
assessments
/
{assessmentId}
/
tasks
/
{taskId}
/
status
Update task status
curl --request PATCH \
  --url https://api.gominerva.com/risk-assessments/v2/assessments/{assessmentId}/tasks/{taskId}/status \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "comment_markdown": "<string>"
}
'
{
  "status": 200,
  "msg": "OK",
  "result": {}
}

Authorizations

Authorization
string
header
required

Use the format Api-Key YOUR_API_KEY.

Path Parameters

assessmentId
string
required

Risk assessment id.

taskId
string
required

Assessment task id.

Body

application/json
status
enum<string>
required
Available options:
pending,
in_progress,
complete,
incomplete,
requires_review
comment_markdown
string

Response

OK

status
integer
required
Example:

200

msg
string
required
Example:

"OK"

result
object
required